org.apache.cassandra.config

## Class CFMetaData.DroppedColumn

- java.lang.Object
- - org.apache.cassandra.config.CFMetaData.DroppedColumn

Enclosing class:
  CFMetaData

    public static class CFMetaData.DroppedColumn
    extends java.lang.Object

### Field Summary

Fields
`long` `droppedTime`
`java.lang.String` `name`
`AbstractType<?>` `type`

### Constructor Summary

Constructors
Constructor and Description
`DroppedColumn(java.lang.String name, AbstractType<?> type, long droppedTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### type

    public final AbstractType<?> type

#### droppedTime

    public final long droppedTime

### Constructor Detail

#### DroppedColumn

    public DroppedColumn(java.lang.String name,
                         AbstractType<?> type,
                         long droppedTime)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`